Package skyview.util

# Class PixelCoords

java.lang.Object
skyview.util.PixelCoords

public class PixelCoords extends Object
This class gives the coordinate values corresponding to a given pixel location in an image.

## Constructor Summary

Constructors
Constructor
Description
`PixelCoords()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Usage:
java skyview.util.PixelCoords file x y
where file is the name of the FITS file and x and y are the pixel coordinates for which the celestial J2000 coordinates are desired.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PixelCoords

public PixelCoords()

## Method Details

### main

public static void main(String[] args) throws Exception
Usage:
java skyview.util.PixelCoords file x y
where file is the name of the FITS file and x and y are the pixel coordinates for which the celestial J2000 coordinates are desired. Note that the pixel coordinates for an NxM image run from 0 to N and 0 to M. The standard definition used within FITS for coordinates (e.g., in the CRPIX values) would range from 1/2 to N+1/2 and 1/2 to M+1/2.

Throws:
  `Exception`